%define upstream_name    CHI
%define upstream_version 0.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Nothing is cached
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert) >= 0.200.0
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Digest::JHash)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Hash::MoreUtils)
BuildRequires: perl(JSON)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils) >= 0.130.0
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Moo)
BuildRequires: perl(Moose) >= 0.660.0
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(MooX::Types::MooseLike::Numeric)
BuildRequires: perl(Storable)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::Duration) >= 1.60.0
BuildRequires: perl(Time::Duration::Parse) >= 0.30.0
BuildRequires: perl(Time::HiRes) >= 1.300.0
BuildRequires: perl(Try::Tiny) >= 0.50.0
BuildArch:  noarch

%{?perl_filter_default}

%{?filter_setup:
# Replace unversioned dependencies with versioned ones.
%filter_from_requires s/^perl(Carp::Assert)$/perl(Carp::Assert) >= 0.20/
%filter_from_requires s/^perl(List::MoreUtils)$/perl(List::MoreUtils) >= 0.13/
%filter_from_requires s/^perl(Log::Any)$/perl(Log::Any) >= 0.06/
%filter_from_requires s/^perl(Time::Duration)$/perl(Time::Duration) >= 1.06/
%filter_from_requires s/^perl(Time::Duration::Parse)$/perl(Time::Duration::Parse) >= 0.03/
%filter_setup
}

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Bar\\)
%global __provides_exclude %__provides_exclude|^perl\\(DummySerializer\\)
%global __provides_exclude %__provides_exclude|^perl\\(Foo\\)

%description
CHI provides a unified caching API, designed to assist a developer in
persisting data for a specified period of time.

The CHI interface is implemented by driver classes that support fetching,
storing and clearing of data. Driver classes exist or will exist for the
gamut of storage backends available to Perl, such as memory, plain files,
memory mapped files, memcached, and DBI.

CHI is intended as an evolution of DeWitt Clinton's Cache::Cache package,
adhering to the basic Cache API but adding new features and addressing
limitations in the Cache::Cache implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.600.0-4pclos2017
- rebuild against updates

